using System;
namespace ZXDT.CallCenter.Model
{
	/// <summary>
	/// T_Wo_WorkOrderTaskInfo:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_Wo_WorkOrderTaskInfo
	{
		public T_Wo_WorkOrderTaskInfo()
		{}
		#region Model
		private int _f_taskinfoid;
		private int? _f_taskid;
		private int? _f_workorderid;
		private int? _f_optby;
		private DateTime? _f_optdate;
		private DateTime? _f_subscribedate;
		private int? _f_subscribestate;
		private int? _f_subscribetime;
		private string _f_subscribetimehour;
		private string _f_subscribedes;
		private string _f_subscribefailinfo;
		private string _f_arrassignuser;
		private int? _f_assigntype;
		private string _f_assigndes;
		private string _f_replyinfo;
		/// <summary>
		/// 工单任务信息Id
		/// </summary>
		public int F_TASKINFOID
		{
			set{ _f_taskinfoid=value;}
			get{return _f_taskinfoid;}
		}
		/// <summary>
		/// 工单任务Id
		/// </summary>
		public int? F_TASKID
		{
			set{ _f_taskid=value;}
			get{return _f_taskid;}
		}
		/// <summary>
		/// 工单Id
		/// </summary>
		public int? F_WORKORDERID
		{
			set{ _f_workorderid=value;}
			get{return _f_workorderid;}
		}
		/// <summary>
		/// 操作人Id
		/// </summary>
		public int? F_OPTBY
		{
			set{ _f_optby=value;}
			get{return _f_optby;}
		}
		/// <summary>
		/// 操作时间
		/// </summary>
		public DateTime? F_OPTDATE
		{
			set{ _f_optdate=value;}
			get{return _f_optdate;}
		}
		/// <summary>
		/// 预约时间
		/// </summary>
		public DateTime? F_SUBSCRIBEDATE
		{
			set{ _f_subscribedate=value;}
			get{return _f_subscribedate;}
		}
		/// <summary>
		/// 预约结果
		/// </summary>
		public int? F_SUBSCRIBESTATE
		{
			set{ _f_subscribestate=value;}
			get{return _f_subscribestate;}
		}
		/// <summary>
		/// 标准耗时
		/// </summary>
		public int? F_SUBSCRIBETIME
		{
			set{ _f_subscribetime=value;}
			get{return _f_subscribetime;}
		}
		/// <summary>
		/// 预约时间段
		/// </summary>
		public string F_SUBSCRIBETIMEHOUR
		{
			set{ _f_subscribetimehour=value;}
			get{return _f_subscribetimehour;}
		}
		/// <summary>
		/// 预约描述
		/// </summary>
		public string F_SUBSCRIBEDES
		{
			set{ _f_subscribedes=value;}
			get{return _f_subscribedes;}
		}
		/// <summary>
		/// 预约失败原因
		/// </summary>
		public string F_SUBSCRIBEFAILINFO
		{
			set{ _f_subscribefailinfo=value;}
			get{return _f_subscribefailinfo;}
		}
		/// <summary>
		/// 指派人员
		/// </summary>
		public string F_ARRASSIGNUSER
		{
			set{ _f_arrassignuser=value;}
			get{return _f_arrassignuser;}
		}
		/// <summary>
		/// 指派类型
		/// </summary>
		public int? F_ASSIGNTYPE
		{
			set{ _f_assigntype=value;}
			get{return _f_assigntype;}
		}
		/// <summary>
		/// 指派描述
		/// </summary>
		public string F_ASSIGNDES
		{
			set{ _f_assigndes=value;}
			get{return _f_assigndes;}
		}
		/// <summary>
		/// 回复消息
		/// </summary>
		public string F_REPLYINFO
		{
			set{ _f_replyinfo=value;}
			get{return _f_replyinfo;}
		}
		#endregion Model

	}
}

